PETSc version 3.15.5
Fix/Edit manual page

# VECCUDA

VECCUDA = "cuda" - A VECSEQCUDA on a single-process communicator, and VECMPICUDA otherwise.

### Options Database Keys

| -vec_type cuda | - sets the vector type to VECCUDA during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMPIWithArray(), VECSEQCUDA, VECMPICUDA, VECSTANDARD, VecType, VecCreateMPI(), VecSetPinnedMemoryMin()

### Level

beginner

### Location

src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages